=== debian/changelog ===
qoa (0+git20251017+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1118286)

 -- Alex Myczko <tar@debian.org>  Fri, 17 Oct 2025 20:43:03 +0200
