=== debian/control ===
Source: qoa
Section: libs
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/phoboslab/qoa
Vcs-Browser: https://salsa.debian.org/debian/qoa
Vcs-Git: https://salsa.debian.org/debian/qoa.git

Package: qoa
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: “Quite OK Audio Format” for fast, lossy audio compression
 This is fast. It decodes audio 3x faster than Ogg-Vorbis, while offering
 better quality and compression than ADPCM (278 kbits/s for 44khz stereo).
 .
 QOA is simple. The reference en-/decoder fits in about 400 lines of C. The
 file format specification is a single page PDF.

Package: libqoa-dev
Section: libdevel
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libstb-dev
Description: “Quite OK Audio Format” for fast, lossy audio compression (devel)
 This is the original QOA implementation to work with images with C or C++.
 .
 This package contains the single header file.
